Bug 612941 - Different syntax for exception in python2.6
Summary: Different syntax for exception in python2.6
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: fence-agents (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Marek Grac
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-09 11:12 UTC by Marek Grac
Modified: 2010-11-10 22:09 UTC (History)
3 users (show)

Fixed In Version: fence-agents-3.0.12-7.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 22:09:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (1.54 KB, application/octet-stream)
2010-07-09 11:12 UTC, Marek Grac
no flags Details

Description Marek Grac 2010-07-09 11:12:25 UTC
Created attachment 430640 [details]
Proposed patch

When exception in fence_rsb is encountered we got traceback:

Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
TypeError: exceptions must be old-style classes or derived from BaseException, not str

This is not critical issue as fence agent will fail anyway but with proper error message.

Reported and patch proposed by Guido Günther

Comment 3 Dean Jansa 2010-08-24 16:02:34 UTC
verified exceptions updated

Comment 4 releng-rhel@redhat.com 2010-11-10 22:09:05 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.